PHP Manual
Prev |  | Next

# pg_get_pid

(PHP 4 >= 4.3.0, PHP 5)

pg_get_pid -- Gets the backend's process ID

## Description

int pg_get_pid ( resource connection )

pg_get_pid() gets the backend's (database server process) PID. The PID is useful to determine whether or not a NOTIFY message received via pg_get_notify() is sent from another process or not.

## Parameters

connection

  PostgreSQL database connection resource.

## Return Values

The backend database process ID.

## Examples

Example 1. PostgreSQL backend PID
`<?php $conn = pg_pconnect("dbname=publisher"); if (!$conn) { echo "An error occured.\n"; exit; } // Backend process PID. Use PID with pg_get_notify() $pid = pg_get_pid($conn); ?>`

## See Also

pg_get_notify()

Prev | Home | Next
pg_get_notify | Up | pg_get_result